## deepin-manual 6.5.25

=== src/CMakeLists.txt ===
project(deepin-manual C CXX)

if(NOT CMAKE_INSTALL_PREFIX)
    set(CMAKE_INSTALL_PREFIX "/usr")
endif()
add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")

if (CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions(-DDMAN_SEARCH_DB="${CMAKE_SOURCE_DIR}/manual-assets")
  add_definitions(-DDMAN_WEB_DIR="${CMAKE_CURRENT_SOURCE_DIR}/web_dist")
#  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
else()
  add_definitions(-DDMAN_SEARCH_DB="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
  add_definitions(-DDMAN_WEB_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/web_dist")
endif ()

#禁止Debug日志输出
#add_definitions(-DQT_NO_DEBUG_OUTPUT)

configure_file(environments.h.in environments.h @ONLY)

# These macros ared used at compile time only.
add_definitions(-DDMAN_SEARCH_ORIG_DB="${CMAKE_CURRENT_BINARY_DIR}/search.db")
add_definitions(-DDMAN_ORIG_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
add_definitions(-DDMAN_SEARCH_WORK_DIR="${CMAKE_CURRENT_SOURCE_DIR}/web")
add_definitions(-DDMAN_SEARCH_CREATE_DB_PATH="${CMAKE_CURRENT_BINARY_DIR}/dbPath")
# This is for icon path on db
add_definitions(-DDMAN_INSTALL_DB_PATH="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")

add_subdirectory(dbus)
add_subdirectory(resources)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra -fno-rtti -fno-exceptions -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")

if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
endif()

if (CMAKE_BUILD_TYPE MATCHES Debug)  
  # -fno-rtti, Disable real-time type information
  # -fno-exceptions Disable exceptions
  # -fsanitize=address Enable memory sanitize plugin

  # -fsanitize=address, Enable memory address sanitizer.
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
  # -fsanitize=leak, Enable memory leak sanitizer.
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=leak")
  # -fsanitize=memory, Enable detecting uninitited memory sanitizer.
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=memory")
  #    "-fsanitize-memory-track-origins -fPIC -pie -fno-omit-frame-pointer")

  #  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wimplicit-fallthrough=1")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")
else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-rtti")

  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
  set(CMAKE_EXE_LINKER_FLAGS "-pie")
endif()

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed")
    add_definitions(-DDCPU_IS_LONGSON)
endif()

find_package(PkgConfig REQUIRED)

set(qt_required_components Core DBus Gui Widgets Sql WebChannel WebEngineWidgets)

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND qt_required_components Core5Compat)
else()
    # list(APPEND qt_required_components X11Extras )
endif()

find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Gui Core)

set(LINK_LIBS
    Qt${QT_DESIRED_VERSION}::Core
    Qt${QT_DESIRED_VERSION}::DBus
    Qt${QT_DESIRED_VERSION}::Gui
    Qt${QT_DESIRED_VERSION}::Widgets
    Qt${QT_DESIRED_VERSION}::Sql
    Qt${QT_DESIRED_VERSION}::WebChannel
    Qt${QT_DESIRED_VERSION}::WebEngineWidgets
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Core
)

set(DMAN_HELPER_LIBS ${LINK_LIBS})

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::Core5Compat)
    # list(APPEND LINK_LIBS Qt${QT_VERSION_MAJOR}::GuiPrivate)
else()
    # list(APPEND LINK_LIBS Qt${QT_VERSION_MAJOR}::WidgetsPrivate)
    # list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::X11Extras)
endif()


set(BASE_FILES
    base/consts.cpp
    base/consts.h
    base/utils.cpp
    base/utils.h
    base/eventlogutils.h
    base/eventlogutils.cpp
    )

set(CONTROLLER_FILES
    controller/argument_parser.cpp
    controller/argument_parser.h
    controller/search_db.cpp
    controller/search_db.h
    controller/search_manager.cpp
    controller/search_manager.h
    controller/search_result.h
    controller/window_manager.cpp
    controller/window_manager.h
    controller/config_manager.cpp
    controller/config_manager.h
    controller/shellobj.cpp
    controller/shellobj.h
    )

set(DBUS_FILES
    dbus/dbus_consts.cpp
    dbus/dbus_consts.h
    dbus/dbusvariant/app_info.cpp
    dbus/dbusvariant/app_info.h
    dbus/launcher_interface.cpp
    dbus/launcher_interface.h
    dbus/manual_open_adapter.cpp
    dbus/manual_open_adapter.h
    dbus/manual_open_proxy.cpp
    dbus/manual_open_proxy.h
    dbus/manual_search_adapter.cpp
    dbus/manual_search_adapter.h
    dbus/manual_search_proxy.cpp
    dbus/manual_search_proxy.h
    dbus/manual_filesupdate_proxy.cpp
    dbus/manual_filesupdate_proxy.h
    dbus/manual_filesupdate_adapter.cpp
    dbus/manual_filesupdate_adapter.h
    )

set(RESOURCES_FILES
    resources/themes/images.cpp
    resources/themes/images.h
    resources/themes/themes.qrc
    )

set(VIEW_FILES
    view/i18n_proxy.cpp
    view/i18n_proxy.h
    view/image_viewer_proxy.cpp
    view/image_viewer_proxy.h
    view/manual_proxy.cpp
    view/manual_proxy.h
    view/search_proxy.cpp
    view/search_proxy.h
    view/theme_proxy.cpp
    view/theme_proxy.h
    view/title_bar_proxy.cpp
    view/title_bar_proxy.h
    view/settings_proxy.h
    view/settings_proxy.cpp
    view/web_window.cpp
    view/web_window.h

    view/widget/image_viewer.cpp
    view/widget/image_viewer.h
    view/widget/search_button.cpp
    view/widget/search_button.h
    view/widget/search_completion_window.cpp
    view/widget/search_completion_window.h
    view/widget/search_completion_listview.cpp
    view/widget/search_completion_listview.h
    view/widget/search_completion_delegate.cpp
    view/widget/search_completion_delegate.h
    view/widget/search_edit.cpp
    view/widget/search_edit.h
    )





# Main executable
set(SEARCH_FILES
    app/generate_search_db.cpp
    base/utils.cpp
    base/utils.h
    base/command.cpp
    base/command.h
    dbus/dbusvariant/app_info.cpp
    dbus/dbusvariant/app_info.h
    controller/search_db.cpp
    controller/search_db.h
    base/eventlogutils.h
    base/eventlogutils.cpp
    )
add_executable(generate-search-db
               ${SEARCH_FILES})
target_link_libraries(generate-search-db ${LINK_LIBS})


# Build web project and generate js files.
add_custom_command(OUTPUT rebuild-web
                   COMMAND pwd
                   COMMAND /usr/bin/node /usr/bin/gulp build -d ${CMAKE_CURRENT_SOURCE_DIR}/web_dist
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/web/
                   )
add_custom_target(update-web DEPENDS rebuild-web)

add_executable(dman
               app/dman.cpp
               ${BASE_FILES}
               ${CONTROLLER_FILES}
               ${DBUS_FILES}
               ${RESOURCES_FILES}
               ${VIEW_FILES}
               )

set(CMAKE_SKIP_BUILD_RPATH FALSE)
set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
target_link_libraries(dman ${LINK_LIBS})


add_executable(dmanHelper
                app/dman_helper.cpp
                base/utils.cpp
                base/utils.h
                base/consts.cpp
                base/consts.h
                base/eventlogutils.h
                base/eventlogutils.cpp
                dbus/dbus_consts.cpp
                dbus/dbus_consts.h
                dbus/dbusvariant/app_info.cpp
                dbus/dbusvariant/app_info.h
                dbus/manual_search_adapter.cpp
                dbus/manual_search_adapter.h
                dbus/manual_search_proxy.cpp
                dbus/manual_search_proxy.h
                dbus/dmanwatcher.cpp
                dbus/dmanwatcher.h
                base/command.cpp
                base/command.h
                controller/helpermanager.cpp
                controller/helpermanager.h
                controller/search_db.cpp
                controller/search_db.h
                controller/filewatcher.cpp
                controller/filewatcher.h
                view/jscontext.cpp
                view/jscontext.h
                )
target_link_libraries(dmanHelper
                      ${DMAN_HELPER_LIBS})



# Auto generate qm files and search.db in release mode.
if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3")
endif ()


if (CMAKE_BUILD_TYPE MATCHES Debug)

  set(MANUAL_TRANSLATE_FILES
      app/manual_translate.cpp
      )
  add_executable(manual-translate-demo ${MANUAL_TRANSLATE_FILES})
  target_link_libraries(manual-translate-demo ${LINK_LIBS})

endif ()

#set different ISO types
#1:professional 2:community 3:server 4:personal
#set(ISO_TYPE "professional")
#set(ISO_TYPE "community")
#set(ISO_TYPE "server")
#set(ISO_TYPE "personal")
#set(ISO_TYPE "education")


## Installation
install(TARGETS dman
        DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(TARGETS dmanHelper
        DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)


# translation files
TRANSLATION_GENERATE(QM_FILES ${CMAKE_SOURCE_DIR}/translations)
add_custom_target(dman_qm_files DEPENDS ${QM_FILES})
add_dependencies(dman dman_qm_files)

# Install translations
install(FILES ${QM_FILES} DESTINATION share/${PROJECT_NAME}/translations)

#install(DIRECTORY ${CMAKE_SOURCE_DIR}/manual-assets/${ISO_TYPE}
#        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/src/web_dist
            DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual)

install(DIRECTORY ${CMAKE_SOURCE_DIR}/manual-assets/learn-basic-operations
                  ${CMAKE_SOURCE_DIR}/manual-assets/common-application-libraries
                  ${CMAKE_SOURCE_DIR}/manual-assets/video-guide
        DESTINATION ${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets/system)

string(TOLOWER ${CMAKE_SYSTEM_PROCESSOR} LOWERCASE_CMAKE_SYSTEM_PROCESSOR)

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.7)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")

if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")

if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()


find_package(PkgConfig REQUIRED)

find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})

ADD_COMPILE_OPTIONS(-fno-access-control)

set(qt_required_components Core DBus Gui Widgets Sql WebChannel WebEngineWidgets Test)

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND qt_required_components Core5Compat)
else()
    # list(APPEND qt_required_components X11Extras )
endif()

find_package(Qt${QT_DESIRED_VERSION} REQUIRED COMPONENTS ${qt_required_components})
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Gui Core)

set(LINK_LIBS
    Qt${QT_DESIRED_VERSION}::Core
    Qt${QT_DESIRED_VERSION}::DBus
    Qt${QT_DESIRED_VERSION}::Gui
    Qt${QT_DESIRED_VERSION}::Widgets
    Qt${QT_DESIRED_VERSION}::Sql
    Qt${QT_DESIRED_VERSION}::WebChannel
    Qt${QT_DESIRED_VERSION}::WebEngineWidgets
    Qt${QT_DESIRED_VERSION}::Test
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Gui
    Dtk${DTK_VERSION_MAJOR}::Core
)

if (QT_DESIRED_VERSION MATCHES 6)
    list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::Core5Compat)
    # list(APPEND LINK_LIBS Qt${QT_VERSION_MAJOR}::GuiPrivate)
else()
    # list(APPEND LINK_LIBS Qt${QT_VERSION_MAJOR}::WidgetsPrivate)
    # list(APPEND LINK_LIBS Qt${QT_DESIRED_VERSION}::X11Extras)
endif()

if (CMAKE_BUILD_TYPE MATCHES Debug)
  add_definitions(-DDMAN_SEARCH_DB="${CMAKE_SOURCE_DIR}/manual-assets")
  add_definitions(-DDMAN_WEB_DIR="${CMAKE_CURRENT_SOURCE_DIR}/web_dist")
  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
else()
  add_definitions(-DDMAN_SEARCH_DB="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
  add_definitions(-DDMAN_WEB_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/web_dist")
  add_definitions(-DDMAN_MANUAL_DIR="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")
endif ()

#configure_file(../src/environments.h.in environments.h @ONLY)

# These macros ared used at compile time only.
add_definitions(-DDMAN_SEARCH_ORIG_DB="${CMAKE_CURRENT_BINARY_DIR}/search.db")
add_definitions(-DDMAN_ORIG_MANUAL_DIR="${CMAKE_SOURCE_DIR}/manual-assets")
add_definitions(-DDMAN_SEARCH_WORK_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../src/web")
add_definitions(-DDMAN_SEARCH_CREATE_DB_PATH="${CMAKE_CURRENT_BINARY_DIR}/dbPath")
# This is for icon path on db
add_definitions(-DDMAN_INSTALL_DB_PATH="${CMAKE_INSTALL_PREFIX}/share/deepin-manual/manual-assets")

#include_directories(googletest)
#include_directories(googletest/googlemock/include)
#include_directories(googletest/googletest/include)

##GTest & GMock
#add_subdirectory(googletest)



include_directories(../src)

set(PROJECT_NAME_TEST
    ${PROJECT_NAME}-test)

# 定义 source 文件
FILE (GLOB allTestSource
    src/base/*.cpp
    src/controller/*.cpp
    src/dbus/*.cpp
    src/dbus/dbusvariant/*.cpp
    src/view/*.cpp
    src/view/widget/*.cpp
    src/test_main.cpp
    src/third-party/stub/*
    )

#Include all app source files
FILE (GLOB dmanCppFiles
    ../src/base/consts.cpp
    ../src/base/utils.cpp
    ../src/base/eventlogutils.cpp
    ../src/controller/*.cpp
    ../src/dbus/*.cpp
    ../src/dbus/dbusvariant/*.cpp
#    ../src/resources/*
    ../src/view/*.cpp
    ../src/view/widget/*.cpp)

FILE (GLOB dmanHeaderFiles
    ../src/base/consts.h
    ../src/base/utils.h
    ../src/base/eventlogutils.h
    ../src/controller/*.h
    ../src/dbus/*.h
    ../src/dbus/dbusvariant/*.h
#    ../src/resources/*.h
    ../src/view/*.h
    ../src/widget/*.h)

FILE (GLOB dmanResourcesFiles
    ../src/resources/themes/images.cpp
    ../src/resources/themes/images.h
    ../src/resources/themes/themes.qrc
    )

# 生成测试可执行程序
add_executable(${PROJECT_NAME_TEST}
    ${dmanCppFiles}
    ${dmanHeaderFiles}
    ${dmanResourcesFiles}
    ${allTestSource}
)

# 生成测试可执行程序的依赖库
target_link_libraries(
    ${PROJECT_NAME_TEST}
    PUBLIC ${LINK_LIBS}
    ${GTEST_LIBRARYS}
    ${GTEST_MAIN_LIBRARYS}
    gtest gtest_main pthread)

#------------------------------ 创建'make test'指令---------------------------------------
add_custom_target(test)

add_custom_command(TARGET test
    COMMAND echo " =================== TEST BEGIN ==================== "

#    #1.清理原先的gcov信息
    COMMAND ${CMAKE_BINARY_DIR}/tests/${PROJECT_NAME_TEST}
    COMMAND echo " =================== TEST END ==================== "
    )

##'make test'命令依赖与我们的测试程序
add_dependencies(test ${PROJECT_NAME_TEST})

## 设置添加gocv相关信息的输出
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -g -fprofile-arcs -ftest-coverage -fno-inline -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

=== debian/changelog ===
deepin-manual (6.5.25) unstable; urgency=medium

  * Update version to 6.5.25 
  * fix: Core dump occurs when attempting to open manual while it's already
    open.
  * fix: Icon display issue in help manual for UOS Windows application
    compatibility engine.

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 20 May 2025 13:51:30 +0800

deepin-manual (6.5.24) unstable; urgency=medium

  * Update version to 6.5.24 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 14 May 2025 11:13:14 +0800

deepin-manual (6.5.23) unstable; urgency=medium

  * Suppress quick-start for UOS Community edition.
  * Update version to 6.5.23

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 09 May 2025 10:14:23 +0800

deepin-manual (6.5.22) unstable; urgency=medium

  * Suppress video guide for UOS Community edition.
  * Update version to 6.5.22

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 08 May 2025 17:48:24 +0800

deepin-manual (6.5.21) unstable; urgency=medium

  * Using dbus interface instead of dtk sysinfo to get Os edition infomation.
  * Update version to 6.5.21 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Tue, 29 Apr 2025 19:41:37 +0800

deepin-manual (6.5.20) unstable; urgency=medium

  * chore: update translations.

 -- renbin <renbin@uniontech.com>  Thu, 17 Apr 2025 10:11:05 +0800

deepin-manual (6.5.19) unstable; urgency=medium

  * chore: update translations.
  * fix: Disable chrome flag on mips architecture

 -- renbin <renbin@uniontech.com>  Thu, 10 Apr 2025 20:08:34 +0800

deepin-manual (6.5.18) unstable; urgency=medium

  * Update version to 6.5.18

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Apr 2025 15:09:51 +0800

deepin-manual (6.5.17) unstable; urgency=medium

  * chore: v6.5.17 release.
  * [build] Only enable qt6 for special arch.

 -- re2zero <yangwu@uniontech.com>  Fri, 28 Mar 2025 09:58:44 +0800

deepin-manual (6.5.16) unstable; urgency=medium

  * Bump version to 6.5.16

 -- wangrong <wangrong@uniontech.com>  Thu, 27 Feb 2025 19:43:04 +0800

deepin-manual (6.5.15) unstable; urgency=medium

  * Update version to 6.5.15
  * Update linglong.yaml for new base

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Feb 2025 18:50:43 +0800

deepin-manual (6.5.14) unstable; urgency=medium

  * Update version to 6.5.14
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Thu, 23 Jan 2025 15:01:04 +0800

deepin-manual (6.5.13) unstable; urgency=medium

  * chore: v6.5.13 release.
  * feat: Support Qt6 build.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

deepin-manual (6.5.12) unstable; urgency=medium

  * fix: fix the issue of incomplete search results(Bug: 290335)

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 11:06:03 +0800

deepin-manual (6.5.11) unstable; urgency=medium

  * chore: New version 6.5.11.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 13:34:58 +0800

deepin-manual (6.5.10) unstable; urgency=medium

  * fix: The issue of shutdown and restart is fixed (#510)
  * chore: Adapt linglong for loong64(Task: 368689)
  * chore: update linglong version
  * chore: Adapt to the new version of linglong(Task: 369975)

 -- renbin <renbin@uniontech.com>  Sat, 14 Dec 2024 15:09:26 +0800

deepin-manual (6.5.9) unstable; urgency=medium

  * Update version to 6.5.9

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:31:55 +0800

deepin-manual (6.5.8) unstable; urgency=medium

  * New Version 6.5.8.

 -- wangrong <wangrong@uniontech.com>  Sat, 30 Nov 2024 13:26:41 +0800

deepin-manual (6.5.7) unstable; urgency=medium

  * fix fail to launch linglong app via dbus.

 -- wangrong <wangrong@uniontech.com>  Mon, 18 Nov 2024 19:42:16 +0800

deepin-manual (6.5.6) unstable; urgency=medium

  * adapt compact mode 

 -- houchengqiu <houchengqiu@uniontech.com>  Fri, 08 Nov 2024 13:53:32 +0800

deepin-manual (6.5.5) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Thu, 07 Nov 2024 08:17:44 +0800

deepin-manual (6.5.4) unstable; urgency=medium

  * fix: fail to view application manual.

 -- wangrong <wangrong@uniontech.com>  Thu, 24 Oct 2024 13:59:02 +0800

deepin-manual (6.5.3) unstable; urgency=medium

  * chore: linglong package slimming.

 -- wangrong <wangrong@uniontech.com>  Sat, 19 Oct 2024 10:39:27 +0800

deepin-manual (6.5.2) unstable; urgency=medium

  * New version 6.5.2
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-manual (6.5.1) unstable; urgency=medium

  * New version 6.5.1

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 05 Sep 2024 10:52:56 +0800

deepin-manual (6.5.0) unstable; urgency=medium

  * New Version 6.5.0.

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800

deepin-manual (6.0.14) unstable; urgency=medium

  * fix: unable to open video on older version of the system.

 -- fengli <fengli@uniontech.com>  Wed, 10 Apr 2024 14:17:01 +0800

deepin-manual (6.0.13) unstable; urgency=medium

  * fix: Main page font adjustment and tooltip style modification(Bug: 241593)
  * fix: Update Quick Start Document
  * feat: Add app store entrance to commonly used app library pages
  * fix: In dual screen expansion mode, the help manual is maximized on the main screen before being restored, and the window will be directly displayed on the secondary screen(Bug: 244417)

 -- houchengqiu <houchengqiu@uniontech.com>  Wed, 13 Mar 2024 15:08:16 +0800

deepin-manual (6.0.12) unstable; urgency=medium

  * fix some bugs.

 -- fengli <fengli@uniontech.com>  Wed, 21 Feb 2024 16:53:13 +0800

deepin-manual (6.0.11) unstable; urgency=medium

  * New version 6.0.11

 -- fengli <fengli@uniontech.com>  Mon, 05 Feb 2024 16:20:12 +0800

deepin-manual (6.0.10) unstable; urgency=medium

  * Add resource file

 -- fengli <fengli@uniontech.com>  Thu, 01 Feb 2024 17:14:55 +0800

deepin-manual (6.0.9) unstable; urgency=medium

  * Update version 6.0.9



=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5
export DH_VERBOSE=1
include /usr/share/dpkg/default.mk
DEB_TARGET_MULTIARCH ?= $(shell dpkg-architecture -qDEB_TARGET_MULTIARCH)
DH_AUTO_ARGS = --parallel --buildsystem=cmake

# 检测当前安装的Qt版本，优先使用Qt6，否则使用Qt5
define detect_qt_version
ifneq (,$(shell which qmake6 2>/dev/null))
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt6"
else
    QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"
endif
endef

# 调用检测Qt版本的命令
$(eval $(call detect_qt_version))

# hardcode this if want to force build with sepecific Qt version
# QT_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/Qt5"

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) \
	-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DQT_DIR=$(QT_DIR)

override_dh_auto_build:
	dh_auto_build -- dman

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info -l/usr/lib
	dh_shlibdeps -Xusr/share/deepin-manual/plugins/libdxcb.so -- --ignore-missing-info

## deepin-manual 6.5.32

=== debian/changelog ===
deepin-manual (6.5.32) unstable; urgency=medium

  * update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:39:09 +0800

deepin-manual (6.5.31) unstable; urgency=medium

  * fix: Update application list visibility based on edition type

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 16:57:59 +0800

deepin-manual (6.5.30) unstable; urgency=medium

  * fix: Enhance icon theme retrieval with DBus support (#559)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 13:50:15 +0800

deepin-manual (6.5.29) unstable; urgency=medium

  * fix: Enhance icon theme retrieval with DBus support (#559)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 13:47:38 +0800

deepin-manual (6.5.28) unstable; urgency=medium

  * fix: Enhance icon theme retrieval with DBus support

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 18:32:46 +0800

deepin-manual (6.5.27) unstable; urgency=medium

  * Update version to 6.5.27

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 05 Jun 2025 18:44:10 +0800

deepin-manual (6.5.26) unstable; urgency=medium

  * Update version to 6.5.26 

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 23 May 2025 18:03:04 +0800

## deepin-manual 6.5.35

=== debian/changelog ===
deepin-manual (6.5.35) unstable; urgency=medium

  * chore: Update package URLs in linglong.yaml files for crimson_25.0

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 16 Jul 2025 15:01:29 +0800

deepin-manual (6.5.34) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 10 Jul 2025 17:12:24 +0800

deepin-manual (6.5.33) unstable; urgency=medium

  * chore: Update package URLs and digests in linglong.yaml files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 02 Jul 2025 10:57:06 +0800

## deepin-manual 6.5.38

=== debian/changelog ===
deepin-manual (6.5.38) unstable; urgency=medium

  * chore: Add new Lao translation file (#569)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 14 Aug 2025 09:14:33 +0800

deepin-manual (6.5.37) unstable; urgency=medium

  * chore: Add new Lao translation file

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 07 Aug 2025 16:55:35 +0800

deepin-manual (6.5.36) unstable; urgency=medium

  * fix: Add destructor to helperManager for proper resource cleanup

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 31 Jul 2025 16:03:35 +0800

## deepin-manual 6.5.40

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

if (NOT DEFINED VERSION)
    set(VERSION 1.2.2)
endif ()

project(deepin-manual)

option(DMAN_RELEAE OFF "Install dman resources to system or not")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake)
# 引入翻译生成
include(translation-generate)

# Find Qt version
find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Core)
message("   >>> Found Qt version: ${QT_VERSION_MAJOR}")
set(QT_DESIRED_VERSION ${QT_VERSION_MAJOR})

if (QT_VERSION_MAJOR MATCHES 6)
    set(DTK_VERSION_MAJOR 6)
else()
    set(DTK_VERSION_MAJOR "")
endif()
message("   >>> Build with DTK: ${DTK_VERSION_MAJOR}")

add_subdirectory(src)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_subdirectory(tests)
endif()

# systemd service
if (NOT DEFINED SYSTEMD_USER_UNIT_DIR)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(Systemd REQUIRED systemd)
    pkg_get_variable(SYSTEMD_USER_UNIT_DIR systemd systemduserunitdir)
endif()

install(FILES ${CMAKE_SOURCE_DIR}/misc/deepin-manual.service
        DESTINATION ${SYSTEMD_USER_UNIT_DIR})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -123,6 +123,8 @@
     base/utils.h
     base/eventlogutils.h
     base/eventlogutils.cpp
+    base/logger.h
+    base/logger.cpp
     )
 
 set(CONTROLLER_FILES
@@ -211,6 +213,8 @@
     base/utils.h
     base/command.cpp
     base/command.h
+    base/logger.h
+    base/logger.cpp
     dbus/dbusvariant/app_info.cpp
     dbus/dbusvariant/app_info.h
     controller/search_db.cpp
@@ -254,6 +258,8 @@
                 base/consts.h
                 base/eventlogutils.h
                 base/eventlogutils.cpp
+                base/logger.h
+                base/logger.cpp
                 dbus/dbus_consts.cpp
                 dbus/dbus_consts.h
                 dbus/dbusvariant/app_info.cpp
@@ -290,6 +296,8 @@
 
   set(MANUAL_TRANSLATE_FILES
       app/manual_translate.cpp
+      base/logger.h
+      base/logger.cpp
       )
   add_executable(manual-translate-demo ${MANUAL_TRANSLATE_FILES})
   target_link_libraries(manual-translate-demo ${LINK_LIBS})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -120,6 +120,7 @@
 FILE (GLOB dmanCppFiles
     ../src/base/consts.cpp
     ../src/base/utils.cpp
+    ../src/base/logger.cpp
     ../src/base/eventlogutils.cpp
     ../src/controller/*.cpp
     ../src/dbus/*.cpp
@@ -131,6 +132,8 @@
 FILE (GLOB dmanHeaderFiles
     ../src/base/consts.h
     ../src/base/utils.h
+    ../src/base/logger.h
+    ../src/base/ddlog.h
     ../src/base/eventlogutils.h
     ../src/controller/*.h
     ../src/dbus/*.h

=== src/dbus/CMakeLists.txt ===
if(DEFINED ENV{PREFIX})
   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
else()
   set(CMAKE_INSTALL_PREFIX /usr)
endif()

configure_file(com.deepin.Manual.Search.service.in com.deepin.Manual.Search.service @ONLY)

install(FILES
        com.deepin.Manual.Open.service
        ${CMAKE_CURRENT_BINARY_DIR}/com.deepin.Manual.Search.service
        DESTINATION share/dbus-1/services/)

=== src/resources/CMakeLists.txt ===
if(DEFINED ENV{PREFIX})
   set(CMAKE_INSTALL_PREFIX $ENV{PREFIX})
else()
   set(CMAKE_INSTALL_PREFIX /usr)
endif()

install(FILES deepin-manual.desktop
        DESTINATION share/applications/)

install(FILES themes/common/images/deepin-manual.svg
        DESTINATION share/icons/hicolor/scalable/apps/)

install(FILES org.deepin.manual.metainfo.xml DESTINATION share/metainfo)

=== debian/changelog ===
deepin-manual (6.5.40) unstable; urgency=medium

  * Fix the database may be incompletely created, resulting in no searches.

 -- re2zero <yangwu@uniontech.com>  Thu, 25 Sep 2025 21:28:16 +0800

deepin-manual (6.5.39) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 10:55:57 +0800

=== debian/control ===
Source: deepin-manual
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Section: python
Priority: optional
Build-Depends:
 ca-certificates,
 cmake,
 debhelper (>= 11),
 qt6-5compat-dev [!mipsel !mips64el] | hello,
 qt6-base-dev [!mipsel !mips64el] | qtbase5-dev,
 qt6-tools-dev-tools [!mipsel !mips64el] | qttools5-dev-tools,
 qt6-tools-dev [!mipsel !mips64el] | qttools5-dev,
 qt6-base-private-dev [!mipsel !mips64el] | qtbase5-private-dev,
 qt6-svg-dev [!mipsel !mips64el] | libqt5svg5-dev,
 qt6-webengine-dev [!mipsel !mips64el] | qtwebengine5-dev,
 libdtk6widget-dev [!mipsel !mips64el] | libdtkwidget-dev,
 libdtk6gui-dev [!mipsel !mips64el] | libdtkgui-dev,
 libdtk6core-dev [!mipsel !mips64el] | libdtkcore-dev,
 libqt6sql6-sqlite [!mipsel !mips64el] | libqt5sql5-sqlite,
 libsass-dev,
 pkg-config,
 libgtest-dev,
 libgmock-dev,
 systemd
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/deepin-manual/
Vcs-Git: git://github.com/linuxdeepin/deepin-manual.git
Vcs-Browser: https://github.com/linuxdeepin/deepin-manual/


Package:deepin-manual
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 libqt6webenginecore6-bin [!mipsel !mips64el] | libqt5core5a
Recommends: qt5dxcb-plugin,uos-reporter, deepin-event-log
Conflicts: dde-help
Provides: dde-help
Description: Manual provides user guides of the system and applications. 
 Manual is designed to help users learn the operating system and its applications, providing specific instructions and function descriptions.
